from flask import Blueprint, Response, current_app, jsonify
from inventory_provider.tasks import worker

routes = Blueprint("inventory-data-job-routes", __name__)


@routes.route("/update", methods=['GET', 'POST'])
def update():
    job_ids = worker.launch_refresh_cache_all(
        current_app.config["INVENTORY_PROVIDER_CONFIG"])
    return jsonify(job_ids)

@routes.route("update-interface-statuses")
def update_interface_statuses():
    worker.update_interface_statuses.delay()
    return Response("OK")


@routes.route("reload-router-config/<equipment_name>")
def reload_router_config(equipment_name):
    worker.reload_router_config.delay(equipment_name)
    return Response("OK")

@routes.route("check-task-status/<task_id>")
def check_task_status(task_id):
    return jsonify(worker.check_task_status(task_id))
